Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00985 Speed Minor Have not tried Feb 8, 2008, 05:39 Apr 1, 2014, 19:14
Tester Kale View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver shangha3.cpp
Version 0.59 Fixed in Version 0.147u1 Build
Summary 00985: blocken: The demo play screen freezes for a while.
Description In Attract Mode, on the demonstration play (one versus another), after about every second the screen freezes for a while (about 5-10 frames), then continues normally then goes another freeze and continues and so on, until the demonstration leaves. Other attract mode "items" are unaffected by this. FPS counter stays a solid 60/60.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems blocken
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.03909
Tafoid
Administrator
Mar 7, 2009, 11:52
This seems related to the speech/audio - happens every time a sample is played.
User avatar
No.03912
Kale
Developer
Mar 7, 2009, 17:08
edited on: Mar 7, 2009, 17:09
It's caused by "unmapped reads" in the 80000-fffff area, putting a bp at 7844 shows a tight sub-routine that if satisfed makes the game to move again.
It could be either protection or ROM mirrored...
User avatar
No.10517
Osso
Developer
Apr 1, 2014, 19:14
This is fixed as of 0.152. Probably fixed by Kale in 0.147u1.